Package org.eclipse.graphiti.features.context

## Interface IReconnectionContext

All Superinterfaces:
  `IContext`, `IPropertyBag`

All Known Implementing Classes:
  `ReconnectionContext`

    public interface IReconnectionContext
    extends IContext

The Interface IReconnectionContext.

### Method Summary

All Methods Instance Methods Abstract Methods
`Connection` `getConnection()` Gets the connection.
`Anchor` `getNewAnchor()` Gets the new anchor.
`Anchor` `getOldAnchor()` Gets the old anchor.
`java.lang.String` `getReconnectType()` Indicate whether the end of an existing connection is being reconnected to a new source node or a new target node.
`ILocation` `getTargetLocation()`
`PictogramElement` `getTargetPictogramElement()` Gets the target pictogram element.
`void` `setTargetPictogramElement​(PictogramElement targetPictogramElement)` Sets the target pictogram element.

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Method Detail

#### getConnection

    Connection getConnection()

Gets the connection.

Returns:
  the connection

#### getOldAnchor

    Anchor getOldAnchor()

Gets the old anchor.

Returns:
  the old anchor

#### getNewAnchor

    Anchor getNewAnchor()

Gets the new anchor.

Returns:
  the new anchor

#### getTargetPictogramElement

    PictogramElement getTargetPictogramElement()

Gets the target pictogram element.

Returns:
  the target pictogram element

#### setTargetPictogramElement

    void setTargetPictogramElement​(PictogramElement targetPictogramElement)

Sets the target pictogram element.

Parameters:
  `targetPictogramElement` - the new target pictogram element

#### getReconnectType

    java.lang.String getReconnectType()

Indicate whether the end of an existing connection is being reconnected to a new source node or a new target node.

Returns:
  `ReconnectionContext.RECONNECT_TARGET` or `ReconnectionContext.RECONNECT_SOURCE`

#### getTargetLocation

    ILocation getTargetLocation()

Returns:
  the targetLocation
Since:
  0.8